%define oname	Radicale

Summary:	Simple Calendar and Contact Server
Name:		radicale
Version:	0.7.1
Release:	%mkrel 4
License:	GPLv3+
Group:		System/Servers
URL:		http://radicale.org/
Source0:	http://pypi.python.org/packages/source/R/%{oname}/%{oname}-%{version}.tar.gz
Source1:	radicale.service
Source2:	radicale.logrotate
Source3:	radicale.tmpfiles
Patch0:		Radicale-0.7.1-mga-configs.patch
Patch1:		Radicale-0.7.1-allow-comments-in-htpasswd-file.patch
BuildArch:	noarch
BuildRequires:	python-devel
Requires(pre):	rpm-helper >= %{rpmhelper_required_version}
Requires(preun):rpm-helper >= %{rpmhelper_required_version}
Requires(post):	rpm-helper >= %{rpmhelper_required_version}
Suggests:	python-OpenSSL

%description
The Radicale Project is a complete CalDAV (calendar) and CardDAV (contact)
server solution.

Calendars and address books are available for both local and remote access,
possibly limited through authentication policies. They can be viewed and
edited by calendar and contact clients on mobile phones or computers.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
#nothing to do

%install
python setup.py install \
	--root=%{buildroot} \
	--prefix=%{_prefix}

#dir for collections
install -dm0755 %{buildroot}%{_localstatedir}/lib/%{name}/collections

#config
install -Dm0644 config %{buildroot}%{_sysconfdir}/%{name}/config

#logging
install -Dm0644 logging %{buildroot}%{_sysconfdir}/%{name}/logging

#logrotate
install -Dm0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

#Empty htpasswd file
echo "# Htpasswd file for Radical" > %{buildroot}%{_sysconfdir}/%{name}/users

#systemd service file
install -Dm0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

#tmpfile
install -Dm0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

#for ghost file
mkdir -p %{buildroot}%{_logdir}/%{name}
touch %{buildroot}%{_logdir}/%{name}/%{name}.log

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} %{_sbindir}/nologin
%_pre_groupadd %{name}

%post
%create_ghostfile %{_logdir}/%{name}/%{name}.log %{name} %{name} 0600
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config
%config(noreplace) %{_sysconfdir}/%{name}/users
%config(noreplace) %{_sysconfdir}/%{name}/logging
%dir %attr(700, radicale, radicale) %{_localstatedir}/lib/%{name}/
%dir %attr(700, radicale, radicale) %{_localstatedir}/lib/%{name}/collections/
%dir %attr(700, radicale, radicale) %{_logdir}/%{name}/
%ghost %attr(600, radicale, radicale) %{_logdir}/%{name}/%{name}.log
%{python_sitelib}/%{name}
%{python_sitelib}/%{oname}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.1-4.mga4
+ Revision: 544446
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.1-3.mga4
+ Revision: 499811
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jun 04 2013 wally <wally> 0.7.1-2.mga4
+ Revision: 437252
- fix typo in systemd unit file

* Sat Jun 01 2013 wally <wally> 0.7.1-1.mga4
+ Revision: 434133
- import radicale (based on .specs from Mandriva and Fedora)

